#!/usr/libexec/platform-python
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--CFLAGS=-fPIC -DPIC',
    '--CXXFLAGS=-fPIC -DPIC',
    '--FFLAGS=-fPIC -ffree-line-length-512',
    '--prefix=/opt/ohpc/pub/libs/gnu12/mpich/petsc/3.18.1',
    '--with-batch=0',
    '--with-blaslapack-lib=/opt/ohpc/pub/libs/gnu12/openblas/0.3.21/lib/libopenblas.so',
    '--with-c-support',
    '--with-debugging=no',
    '--with-fortran-interfaces=1',
    '--with-hdf5-include=/opt/ohpc/pub/libs/gnu12/mpich/hdf5/1.10.8/include',
    '--with-hdf5-lib=/opt/ohpc/pub/libs/gnu12/mpich/hdf5/1.10.8/lib/libhdf5.so',
    '--with-hdf5=1',
    '--with-make-np=3',
    '--with-mpi=1',
    '--with-scalapack-dir=/opt/ohpc/pub/libs/gnu12/mpich/scalapack/2.2.0',
    '--with-shared-libraries',
    'PETSC_ARCH=arch-linux-c-opt',
  ]
  configure.petsc_configure(configure_options)
